Package org.springframework.security.access

# Interface PermissionCacheOptimizer

All Superinterfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`

public interface PermissionCacheOptimizer extends org.springframework.aop.framework.AopInfrastructureBean
Allows permissions to be pre-cached when using pre or post filtering with expressions

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`cachePermissionsFor(Authentication a, Collection<?> objects)`
Optimises the permission cache for anticipated operation on the supplied collection of objects.

## Method Details

### cachePermissionsFor

void cachePermissionsFor(Authentication a, Collection<?> objects)
Optimises the permission cache for anticipated operation on the supplied collection of objects. Usually this will entail batch loading of permissions for the objects in the collection.

Parameters:
  `a` - the user for whom permissions should be obtained.
  `objects` - the (non-null) collection of domain objects for which permissions should be retrieved.